petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscMatlabEnginePutArray

Puts an array into the MATLAB space, treating it as a Fortran style (column major ordering) array. For parallel objects, each processors part is put in a separate MATLAB process.

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEnginePutArray(PetscMatlabEngine mengine,int m,int n,const PetscScalar *array,const char name[])

Collective on PetscObject

### Input Parameters

| mengine | - the MATLAB engine
| m,n | - the dimensions of the array
| array | - the array (represented in one dimension)
| name | - the name of the array

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEngineCreate(), PetscMatlabEngineGet(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePut(), MatlabEngineGetArray(), PetscMatlabEngine

Level:advanced
Location:src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages